Package com.verisign.epp.codec.defReg

## Class EPPDefRegInfoResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.defReg.EPPDefRegInfoResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPDefRegInfoResp
      extends EPPResponse

  Represents an EPP DefReg `<defReg:infData>` response to an `EPPDefRegInfoCmd`. When an `<info>` command has been processed successfully, the EPP `<resData>` element MUST contain a child `<defReg:infData>` element that identifies the defReg namespace. The `<defReg:infData>` element contains the following child elements:
  - A `<defReg:roid>` element that contains the Repository Object Identifier assigned to the defReg object then the object was created.
  - A `<defReg:name>` element that contains the name of the defReg object.
  - An OPTIONAL `<defReg:registrant>` element that contains the identifier for the human or organizational social information (contact) object to be associated with the defReg object as the object registrant. This object identifier MUST be known to the server before the contact object can be associated with the defReg object.
  - An OPTIONAL `<defReg:tm>` element that contains the Trademark Identifier (ID) associated with the defReg object.
  - An OPTIONAL `<defReg:tmCountry>` element that indicates the country which issued the trademark associated with the defReg object.
  - An OPTIONAL `<defReg:tmDate>` element that indicates the date the trademark was issued.
  - An OPTIONAL `<defReg:adminContact>` element that contains the identifier of the administrator associated with the defReg object.
  - Zero or more OPTIONAL `<defReg:status>` elements that contain the current status descriptors associated with the defReg.
  - A `<defReg:clID>` element that contains the identifier of the sponsoring client.
  - An OPTIONAL `<defReg:crID>` element that contains the identifier of the client that created the defReg.
  - An OPTIONAL `<defReg:crDate>` element that contains the date and time of defReg object creation.
  - An OPTIONAL `<defReg:upID>` element that contains the identifier of the client that last updated the defReg object. This element MUST NOT be present if the defReg has never been modified.
  - An OPTIONAL `<defReg:upDate>` element that contains the date and time of the most recent defReg object modification. This element MUST NOT be present if the defReg has never been modified.
  - An OPTIONAL `<defReg:exDate>` element that contains the date and time identifying the end of the defReg object's registration period.
  - An OPTIONAL `<defReg:trDate>` element that contains the date and time of the most recent successful defReg object transfer. This element MUST NOT be provided if the defReg object has never been transferred.
  - An OPTIONAL `<defReg:authInfo>` element that contains authorization information associated with the defReg object. This element MUST NOT be provided if the querying client is not the current sponsoring client, or if the client supplied valid authorization information with the command.
  See Also:
    `EPPDefRegInfoCmd`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `ELM_EXTENSION, ELM_MESSAGE_QUEUE, ELM_MESSAGE_QUEUE_QDATE, ELM_RESPONSE_DATA, extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDefRegInfoResp()` | `EPPDefRegInfoResp` default constructor.
    `EPPDefRegInfoResp​(EPPTransId aTransId, EPPDefRegName aName, java.lang.String aRoid, java.lang.String aClientId)` | `EPPDefRegInfoResp` constuctor that takes the required attribute values as parameters.
    `EPPDefRegInfoResp​(EPPTransId aTransId, EPPDefRegName aName, java.lang.String aRoid, java.lang.String aRegistrant, java.lang.String aTm, java.lang.String aTmCountry, java.util.Date aTmDate, java.lang.String aAdminContact, java.util.Vector aSomeStatuses, java.lang.String aClientId, java.lang.String aCreatedBy, java.util.Date aCreatedDate, EPPAuthInfo aAuthInfo)` | `EPPDefRegInfoResp` constuctor that takes the required attribute and most used optional values as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPDefRegInfoResp`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPDefRegInfoResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPDefRegInfoResp` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPDefRegInfoResp` with this instance.
    `java.lang.String` | `getAdminContact()` | Get the AdminContact informnation.
    `EPPAuthInfo` | `getAuthInfo()` | Get authorization information
    `java.lang.String` | `getClientId()` | Gets Client Id that created the defReg.
    `java.lang.String` | `getCreatedBy()` | Gets Create Id that created the defReg.
    `java.util.Date` | `getCreatedDate()` | Gets the date and time the defReg was created.
    `java.util.Date` | `getExpirationDate()` | Gets the expiration date and time of the defReg.
    `java.util.Date` | `getLastTransferDate()` | Gets the date and time of the last successful defReg transfer.
    `java.lang.String` | `getLastUpdatedBy()` | Gets the Client Id that last updated the defReg.
    `java.util.Date` | `getLastUpdatedDate()` | Gets the date and time of the last defReg update.
    `EPPDefRegName` | `getName()` | Gets the defReg name
    `java.lang.String` | `getNamespace()` | Gets the EPP command namespace associated with `EPPDefRegInfoResp`.
    `java.lang.String` | `getRegistrant()` | Get the registrant informnation.
    `java.lang.String` | `getRoid()` | Get roid.
    `java.util.Vector` | `getStatuses()` | Get the current associated statuses
    `java.lang.String` | `getTm()` | Get the trademark informnation.
    `java.lang.String` | `getTmCountry()` | Get the trademark country informnation.
    `java.util.Date` | `getTmDate()` | Get the trademark date informnation.
    `java.lang.String` | `getType()` | Gets the EPP response type associated with `EPPDefRegInfoResp`.
    `void` | `setAdminContact​(java.lang.String aAdminContact)` | Set the AdminContact informnation.
    `void` | `setAuthInfo​(EPPAuthInfo newAuthInfo)` | Set authorization information
    `void` | `setClientId​(java.lang.String aClientId)` | Sets Client Id that created the defReg.
    `void` | `setCreatedBy​(java.lang.String aCreatedBy)` | Sets Client Id that created the defReg.
    `void` | `setCreatedDate​(java.util.Date aDate)` | Sets the date and time the defReg was created.
    `void` | `setExpirationDate​(java.util.Date aExpirationDate)` | Sets the expiration date and time of the defReg.
    `void` | `setLastTransferDate​(java.util.Date aLastTransferDate)` | Sets the last date and time the defReg was successfully transferred.
    `void` | `setLastUpdatedBy​(java.lang.String aLastUpdatedBy)` | Sets the Client Id that last updated the defReg.
    `void` | `setLastUpdatedDate​(java.util.Date aLastUpdatedDate)` | Sets the last date and time the defReg was updated.
    `void` | `setName​(EPPDefRegName aName)` | Sets the defReg name.
    `void` | `setRegistrant​(java.lang.String aRegistrant)` | Set the registrant informnation.
    `void` | `setRoid​(java.lang.String newRoid)` | Set roid.
    `void` | `setStatuses​(java.util.Vector newStatuses)` | Set associated statuses.
    `void` | `setTm​(java.lang.String aTm)` | Set the trademark informnation.
    `void` | `setTmCountry​(java.lang.String aTmCountry)` | Set the trademark country informnation.
    `void` | `setTmDate​(java.util.Date aTmDate)` | Set the trademark date informnation.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegInfoResp

          public EPPDefRegInfoResp()

      `EPPDefRegInfoResp` default constructor. Must call required setter methods before invoking `encode`, which include:
      - name - `setName`
      - registrant is set to `null`
      - period is set to `UNSPEC_PERIOD`
      - tm is set to`null`.
      - tmcountry is set to`null`.
      - tmdate is set to`null`.
      - admincontact is set to`null`.
      - roid - `setRoid`
      - statuses - `setStatuses`
      - created by - `setCreatedBy`
      - created date - `setCreatedDate`
      - transaction id - `setTransId`

    - #### EPPDefRegInfoResp

          public EPPDefRegInfoResp​(EPPTransId aTransId,
                                   EPPDefRegName aName,
                                   java.lang.String aRoid,
                                   java.lang.String aClientId)

      `EPPDefRegInfoResp` constuctor that takes the required attribute values as parameters. The setter methods of the optional attributes can be called before invoking `encode`.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aName` - DefReg name
        `aRoid` - roid
        `aClientId` - Expirate date of the defReg

    - #### EPPDefRegInfoResp

          public EPPDefRegInfoResp​(EPPTransId aTransId,
                                   EPPDefRegName aName,
                                   java.lang.String aRoid,
                                   java.lang.String aRegistrant,
                                   java.lang.String aTm,
                                   java.lang.String aTmCountry,
                                   java.util.Date aTmDate,
                                   java.lang.String aAdminContact,
                                   java.util.Vector aSomeStatuses,
                                   java.lang.String aClientId,
                                   java.lang.String aCreatedBy,
                                   java.util.Date aCreatedDate,
                                   EPPAuthInfo aAuthInfo)

      `EPPDefRegInfoResp` constuctor that takes the required attribute and most used optional values as parameters. The setter methods of the optional attributes can be called before invoking `encode`.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aName` - DefReg name
        `aRoid` - roid
        `aRegistrant` - DefReg Registrant
        `aTm` - DefReg TradeMark
        `aTmCountry` - DefReg TradeMarkCountry
        `aTmDate` - DefReg TradeMarkDate
        `aAdminContact` - DefReg AdminContact
        `aSomeStatuses` - Current status descriptors associated with the defReg.
        `aClientId` - Expirate date of the defReg
        `aCreatedBy` - Client Id of Registrar that created the defReg
        `aCreatedDate` - Date the defReg was created
        `aAuthInfo` - DOCUMENT ME!

  - ### Method Detail

    - #### getStatuses

          public java.util.Vector getStatuses()

      Get the current associated statuses
      Returns:
        java.util.Vector

    - #### setStatuses

          public void setStatuses​(java.util.Vector newStatuses)

      Set associated statuses.
      Parameters:
        `newStatuses` - java.util.Vector

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPDefRegInfoResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPDefRegInfoResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPDefRegInfoResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPDefRegMapFactory.NS`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPDefRegInfoResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegInfoResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPDefRegInfoResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getName

          public EPPDefRegName getName()

      Gets the defReg name
      Returns:
        DefReg Name if defined; `null` otherwise.

    - #### setName

          public void setName​(EPPDefRegName aName)

      Sets the defReg name.
      Parameters:
        `aName` - DefReg Name

    - #### getRegistrant

          public java.lang.String getRegistrant()

      Get the registrant informnation.
      Returns:
        DefReg registrant

    - #### setRegistrant

          public void setRegistrant​(java.lang.String aRegistrant)

      Set the registrant informnation.
      Parameters:
        `aRegistrant` - DefReg registrant

    - #### getTm

          public java.lang.String getTm()

      Get the trademark informnation.
      Returns:
        DefReg tradeMark

    - #### setTm

          public void setTm​(java.lang.String aTm)

      Set the trademark informnation.
      Parameters:
        `aTm` - DefReg registrant

    - #### getTmCountry

          public java.lang.String getTmCountry()

      Get the trademark country informnation.
      Returns:
        DefReg trademark country

    - #### setTmCountry

          public void setTmCountry​(java.lang.String aTmCountry)

      Set the trademark country informnation.
      Parameters:
        `aTmCountry` - DefReg trademark country

    - #### getTmDate

          public java.util.Date getTmDate()

      Get the trademark date informnation.
      Returns:
        DefReg trademark date

    - #### setTmDate

          public void setTmDate​(java.util.Date aTmDate)

      Set the trademark date informnation.
      Parameters:
        `aTmDate` - DefReg trademark date

    - #### getAdminContact

          public java.lang.String getAdminContact()

      Get the AdminContact informnation.
      Returns:
        DefReg AdminContact

    - #### setAdminContact

          public void setAdminContact​(java.lang.String aAdminContact)

      Set the AdminContact informnation.
      Parameters:
        `aAdminContact` - DefReg AdminContact

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Get authorization information
      Returns:
        EPPAuthInfo

    - #### setAuthInfo

          public void setAuthInfo​(EPPAuthInfo newAuthInfo)

      Set authorization information
      Parameters:
        `newAuthInfo` - java.lang.String

    - #### setClientId

          public void setClientId​(java.lang.String aClientId)

      Sets Client Id that created the defReg.
      Parameters:
        `aClientId` - Client Id that associated with the defReg.

    - #### getClientId

          public java.lang.String getClientId()

      Gets Client Id that created the defReg.
      Returns:
        Client Id if defined; `null` otherwise.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets Create Id that created the defReg.
      Returns:
        Create Id if defined; `null` otherwise.

    - #### setCreatedBy

          public void setCreatedBy​(java.lang.String aCreatedBy)

      Sets Client Id that created the defReg.
      Parameters:
        `aCreatedBy` - Client Id that created the defReg.

    - #### getCreatedDate

          public java.util.Date getCreatedDate()

      Gets the date and time the defReg was created.
      Returns:
        Date and time the defReg was created if defined; `null` otherwise.

    - #### setCreatedDate

          public void setCreatedDate​(java.util.Date aDate)

      Sets the date and time the defReg was created.
      Parameters:
        `aDate` - Date and time the defReg was created.

    - #### getExpirationDate

          public java.util.Date getExpirationDate()

      Gets the expiration date and time of the defReg.
      Returns:
        Expiration date and time of the defReg if defined; `null` otherwise.

    - #### setExpirationDate

          public void setExpirationDate​(java.util.Date aExpirationDate)

      Sets the expiration date and time of the defReg.
      Parameters:
        `aExpirationDate` - Expiration date and time of the defReg.

    - #### getLastUpdatedBy

          public java.lang.String getLastUpdatedBy()

      Gets the Client Id that last updated the defReg. This will be null if the defReg has not been updated since creation.
      Returns:
        Client Id that last updated the defReg has been updated; `null` otherwise.

    - #### setLastUpdatedBy

          public void setLastUpdatedBy​(java.lang.String aLastUpdatedBy)

      Sets the Client Id that last updated the defReg.
      Parameters:
        `aLastUpdatedBy` - Client Id String that last updated the defReg.

    - #### getLastUpdatedDate

          public java.util.Date getLastUpdatedDate()

      Gets the date and time of the last defReg update. This will be `null` if the defReg has not been updated since creation.
      Returns:
        date and time of the last defReg update if defined; `null` otherwise.

    - #### setLastUpdatedDate

          public void setLastUpdatedDate​(java.util.Date aLastUpdatedDate)

      Sets the last date and time the defReg was updated.
      Parameters:
        `aLastUpdatedDate` - Date and time of the last defReg update.

    - #### getLastTransferDate

          public java.util.Date getLastTransferDate()

      Gets the date and time of the last successful defReg transfer. This will be `null` if the defReg has not been successfully transferred since creation.
      Returns:
        date and time of the last successful transfer if defined; `null` otherwise.

    - #### setLastTransferDate

          public void setLastTransferDate​(java.util.Date aLastTransferDate)

      Sets the last date and time the defReg was successfully transferred.
      Parameters:
        `aLastTransferDate` - Date and time of the last succesful transfer

    - #### getRoid

          public java.lang.String getRoid()

      Get roid.
      Returns:
        java.lang.String

    - #### setRoid

          public void setRoid​(java.lang.String newRoid)

      Set roid.
      Parameters:
        `newRoid` - java.lang.String

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegInfoResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPDefRegInfoResp instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPDefRegInfoResp instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegInfoResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegInfoResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement